## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEProxyTable

All Superinterfaces:
  BaseTable, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PersistentTable, SQLObject, SybaseASEBaseTable, SybaseASETable, SybaseAuthorizedObject, SybaseBaseTable, Table

All Known Subinterfaces:
  SybaseASEWebServiceTable

All Known Implementing Classes:
  SybaseASECatalogProxyTable, SybaseASECatalogWebServiceTable, SybaseASEProxyTableImpl, SybaseASEWebServiceTableImpl

    public interface SybaseASEProxyTable

extends SybaseASETable

A representation of the model object 'Sybase ASE Proxy Table'.

The following features are supported:

- `External Type`
- `Existing`
- `Column Delimiter`
- `External Path`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEProxyTable()`

Method Summary
`java.lang.String` `getColumnDelimiter()` Returns the value of the 'Column Delimiter' attribute.
`java.lang.String` `getExternalPath()` Returns the value of the 'External Path' attribute.
`ProxyTableExternalType` `getExternalType()` Returns the value of the 'External Type' attribute.
`boolean` `isExisting()` Returns the value of the 'Existing' attribute.
`void` `setColumnDelimiter(java.lang.String value)` Sets the value of the '`Column Delimiter`' attribute.
`void` `setExisting(boolean value)` Sets the value of the '`Existing`' attribute.
`void` `setExternalPath(java.lang.String value)` Sets the value of the '`External Path`' attribute.
`void` `setExternalType(ProxyTableExternalType value)` Sets the value of the '`External Type`' attribute.

Methods inherited from interface org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel.SybaseASEBaseTable

`getConcurrencyOptThreshold, getExpRowSize, getFillFactor, getIdentityGap, getLockPromotion, getLockSchema, getMaxRowPerPage, getPartitionCondition, getPartitions, getReservePageGap, getSegment, getTableOnlyCacheInfo, getTextImageSegment, getTextOnlyCacheInfo, isSystemTable, setConcurrencyOptThreshold, setExpRowSize, setFillFactor, setIdentityGap, setLockSchema, setMaxRowPerPage, setPartitionCondition, setPartitions, setReservePageGap, setSegment, setSystemTable, setTableOnlyCacheInfo, setTextImageSegment, setTextOnlyCacheInfo`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel.SybaseBaseTable
`getCheckConstraints, isSystem`

Method Detail

### getExternalType

    ProxyTableExternalType getExternalType()

  Returns the value of the 'External Type' attribute. The literals are from the enumeration `ProxyTableExternalType`.

  If the meaning of the 'External Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Type' attribute.
  See Also:
    `ProxyTableExternalType`, `setExternalType(ProxyTableExternalType)`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable_ExternalType()`

### setExternalType

    void setExternalType(ProxyTableExternalType value)

  Sets the value of the '`External Type`' attribute.

  Parameters:
    `value` - the new value of the 'External Type' attribute.
  See Also:
    `ProxyTableExternalType`, `getExternalType()`

### isExisting

    boolean isExisting()

  Returns the value of the 'Existing' attribute.

  If the meaning of the 'Existing' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Existing' attribute.
  See Also:
    `setExisting(boolean)`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable_Existing()`

### setExisting

    void setExisting(boolean value)

  Sets the value of the '`Existing`' attribute.

  Parameters:
    `value` - the new value of the 'Existing' attribute.
  See Also:
    `isExisting()`

### getColumnDelimiter

    java.lang.String getColumnDelimiter()

  Returns the value of the 'Column Delimiter' attribute.

  If the meaning of the 'Column Delimiter' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Delimiter' attribute.
  See Also:
    `setColumnDelimiter(String)`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable_ColumnDelimiter()`

### setColumnDelimiter

    void setColumnDelimiter(java.lang.String value)

  Sets the value of the '`Column Delimiter`' attribute.

  Parameters:
    `value` - the new value of the 'Column Delimiter' attribute.
  See Also:
    `getColumnDelimiter()`

### getExternalPath

    java.lang.String getExternalPath()

  Returns the value of the 'External Path' attribute.

  If the meaning of the 'External Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'External Path' attribute.
  See Also:
    `setExternalPath(String)`, `SybaseasesqlmodelPackage.getSybaseASEProxyTable_ExternalPath()`

### setExternalPath

    void setExternalPath(java.lang.String value)

  Sets the value of the '`External Path`' attribute.

  Parameters:
    `value` - the new value of the 'External Path' attribute.
  See Also:
    `getExternalPath()`